CH_CREATE_SOCKETPAIR(3)

EXPERIMENTAL_FUNC
ch_create_socketpair - Create a pair of un-named connected sockets.

SYNOPSIS
#include <karma_ch.h>

flag ch_create_socketpair

(Channel *ch1, Channel *ch2)

DESCRIPTION
Create a pair of un-named connected sockets.

ch1 The channel corresponding to one end of the pair is written here.

ch2 The channel corresponding to the other end of the pair is written here.

RETURN VALUE
TRUE on success, else FALSE and sets <<errno>> with the error code.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/